入荷明細取得
GET
/storage/{storage_id}/details
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/storage/5/details?fields=storageDetailId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001&status=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/storage/5/details?fields=storageDetailId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001&status=1'入荷明細情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storage_id
required
string
入荷ID
Example
5Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
storageDetailId,productIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- storageDetailId:入荷明細ID
- productId:商品ID
- status:ステータス:0:未検品、1:検品完了
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
productIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2product_id
string
商品ID
Example
8000001status
string
ステータス:0:未検品、1:検品完了
Example
1Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storageDetailId
入荷明細ID
string
storageId
入荷ID
string
storageInfoId
発注ID:発注登録から作成された入荷の場合のみ、発注IDを設定。
string
productId
商品ID
string
taxRate
税率
string
cost
原価(外税):入荷商品の原価
string
scheduledQuantity
予定数
string
inspectionQuantity
検品数
string
stockoutQuantity
欠品数
string
stockoutReason
欠品理由
string
inspectionDate
検品日:[YYYY-MM-DD]
string
rfidTags
RFIDタグリスト。入荷検品分。
Array<string>
numberMemo
数字メモ
string
dateMemo
日付メモ:[YYYY-MM-DD]
string
status
ステータス:0:未検品、1:検品完了
string
compulsoryCompleteFlag
強制終了フラグ:0:通常、1:強制終了
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "storageDetailId": "5", "storageId": "5", "storageInfoId": null, "productId": "8000001", "taxRate": "10.000", "cost": "100.00000", "scheduledQuantity": "3", "inspectionQuantity": "2", "stockoutQuantity": "1", "stockoutReason": "欠品理由", "inspectionDate": "2025-01-01", "rfidTags": [ "RFID001", "RFID002" ], "numberMemo": "123456789", "dateMemo": "2025-01-01", "status": "1", "compulsoryCompleteFlag": "0", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00" }]